Prerequisite Software Checklist for SCT Installation - Metasys - LIT-12011964 - Software Application - System Configuration Tool - 13.2

Metasys SCT: System Configuration Tool Help

Brand
Metasys
Product name
System Configuration Tool
Document type
User Guide
Document number
LIT-12011964
Version
13.2
Revision date
2020-01-21
Language
English

The computer operating system that you want to use for SCT software must have the proper components installed. SCT software does not install or function correctly if any of these components is missing. The SCT Installation wizard verifies that the computer has these prerequisites, but make sure you carefully review the software requirements listed in Table 1 before you install SCT. The table also indicates where you can obtain each software component. For detailed information about installing the SCT software, refer to the SCT Installation and Upgrade Instructions (LIT-12012067).

Note: If you are installing SCT 10.0 or later on a computer that also has the NAE Update Tool installed, you must uninstall the earlier version of the NAE Update Tool before installing SCT. As of SCT Release 10.0, installing SCT also installs the NAE Update Tool.
Table 1. Prerequisite Software Checklist for SCT

Software Component

Product

Where to Obtain

Operating System (select one)

Windows® 10 Pro and Windows 10 Enterprise Editions (version 1809 or later) (64-bit)

ADS/ADX

SCT

Microsoft Corporation

Windows® 8.1 Pro and Windows 8.1 Enterprise Editions with Update (KB2919355) (64-bit)

Windows® 7 Professional, Enterprise, and Ultimate Editions with SP1 (64-bit)

Windows® Server® 2012 R2 with Update (KB2919355) (64-bit)

(Standard or Enterprise Edition)

ADS/ADX

SCT

Windows® Server® 2012 with Update (KB3172614) (64-bit)

(Standard or Enterprise Edition)

Operating System (OS) Components (select all)

Internet Information Services (IIS) (included with OS)

ADS/ADX

SCT

OS media

Microsoft Message Queuing (MSMQ)

ADS/ADX

SCT

Miscellaneous (select all)

Daylight Savings Time (DST) Patch for OSs

ADS/ADX

SCT

http://www.microsoft.com/downloads

Microsoft .NET Framework 3.5 SP1 or 3.5.1

For Windows 8.1, Windows 8, Windows 7, Windows Server 2012 R2, and Windows Server 2012, the required Microsoft .NET Framework version is 3.5.1 and is built into the operating system and installed as a Windows component.

http://www.microsoft.com/downloads

Microsoft .NET Framework 4.6.1

ADS/ADX

SCT

SCT Media. Microsoft .NET Framework 4.6.1 is installed with the Metasys System Configuration Tool Setup if it does not already exist on the computer.

Microsoft Silverlight® 5.0 or later.

Required for viewing Graphics+ files on Site Management Portal software clients.

ADS/ADX

SCT

http://www.microsoft.com/silverlight

Database (select one)

SQL Server 2017 Standard, Enterprise, and Express (64-bit)

ADS/ADX

SCT

ADS/ADX or SCT media

Note: For an ADX installation use the Standard or Enterprise version of SQL Server, which you can obtain from the Microsoft Corporation.
SQL Server 2016 Standard, Enterprise, and Express SP2 (64-bit)
SQL Server 2014 Standard, Enterprise, and Express SP3 (64-bit)
SQL Server 2012 Standard, Enterprise, and Express SP3 (64-bit)

Database Tools (select if required)

Microsoft SQL Server Management Studio Express

ADS

SCT

ADS/ADX or SCT media

Note: A software database management tool for SQL Server Express software editions without management tools. This tool ships bundled with the Standard and Enterprise editions of SQL Server 2014 and earlier software.